uniform sampler2D Tex0, Tex1;
uniform int WhichTexture;

void main()
{
  vec4 Color;

  vec2 st = vec2(gl_TexCoord[0].s, gl_TexCoord[0].t); 

  if (WhichTexture == 0)
    Color = texture2D(Tex0, st);
  else if (WhichTexture == 1)
    Color = texture2D(Tex1, st);
  else 
    Color = 0.5 * (texture2D(Tex0, st) + texture2D(Tex1, st));

  gl_FragColor = Color;
}
